cdac.medinfo.sdk.hl7282.utils

## Class HL7Constants

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.utils.HL7Constants

-     public class HL7Constants
      extends java.lang.Object

  This class is used for declaring a constants used in HL7.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `END_OF_STREAM` Constant used for indicate End of Stream
    `static byte[]` | `EVAL` This constant specifies byte array for Evaluation.
    `static char` | `HL7_CARRIAGE_RETURN` These are constants used for HL7 Data Types
    `static int` | `HL7_COMPONENT` These are constants used for HL7 to identify the type of Component
    `static int` | `HL7_DT_AD` constant representing Data type AD
    `static int` | `HL7_DT_AUI` constant representing Data type AUI
    `static int` | `HL7_DT_CCD` constant representing Data type CCD
    `static int` | `HL7_DT_CCP` constant representing Data type CCP
    `static int` | `HL7_DT_CD` constant representing Data type CD
    `static int` | `HL7_DT_CF` constant representing Data type CF
    `static int` | `HL7_DT_CNE` constant representing Data type CNE
    `static int` | `HL7_DT_CNN` constant representing Data type CNN
    `static int` | `HL7_DT_CP` constant representing Data type CP
    `static int` | `HL7_DT_CQ` constant representing Data type CQ
    `static int` | `HL7_DT_CSU` constant representing Data type CSU
    `static int` | `HL7_DT_CWE` constant representing Data type CWE
    `static int` | `HL7_DT_CX` constant representing Data type CX
    `static int` | `HL7_DT_DDI` constant representing Data type DDI
    `static int` | `HL7_DT_DIN` constant representing Data type DIN
    `static int` | `HL7_DT_DLD` constant representing Data type DLD
    `static int` | `HL7_DT_DLN` constant representing Data type DLN
    `static int` | `HL7_DT_DLT` constant representing Data type DLT
    `static int` | `HL7_DT_DR` constant representing Data type DR
    `static int` | `HL7_DT_DT` constant representing Data type DT
    `static int` | `HL7_DT_DTM` constant representing Data type DTM
    `static int` | `HL7_DT_DTN` constant representing Data type DTN
    `static int` | `HL7_DT_ED` constant representing Data type ED
    `static int` | `HL7_DT_EI` constant representing Data type EI
    `static int` | `HL7_DT_EIP` constant representing Data type EIP
    `static int` | `HL7_DT_ERL` constant representing Data type ERL
    `static int` | `HL7_DT_FC` constant representing Data type FC
    `static int` | `HL7_DT_FN` constant representing Data type FN
    `static int` | `HL7_DT_FT` constant representing Data type FL
    `static int` | `HL7_DT_GTS` constant representing Data type GTS
    `static int` | `HL7_DT_HD` constant representing Data type HD
    `static int` | `HL7_DT_ICD` constant representing Data type ICD
    `static int` | `HL7_DT_ID` constant representing Data type ID
    `static int` | `HL7_DT_IS` constant representing Data type IS
    `static int` | `HL7_DT_JCC` constant representing Data type JCC
    `static int` | `HL7_DT_MA` constant representing Data type MA
    `static int` | `HL7_DT_MO` constant representing Data type MO
    `static int` | `HL7_DT_MOC` constant representing Data type MOC
    `static int` | `HL7_DT_MOP` constant representing Data type MOP
    `static int` | `HL7_DT_MSG` constant representing Data type MSG
    `static int` | `HL7_DT_NA` constant representing Data type NA
    `static int` | `HL7_DT_NM` constant representing Data type NM
    `static int` | `HL7_DT_NR` constant representing Data type NR
    `static int` | `HL7_DT_OCD` constant representing Data type OCD
    `static int` | `HL7_DT_OG` constant representing Data type OCD
    `static int` | `HL7_DT_OSP` constant representing Data type OSP
    `static int` | `HL7_DT_PIP` constant representing Data type PIP
    `static int` | `HL7_DT_PL` constant representing Data type PL
    `static int` | `HL7_DT_PLN` constant representing Data type PLN
    `static int` | `HL7_DT_PPN` constant representing Data type PPN
    `static int` | `HL7_DT_PRL` constant representing Data type PRL
    `static int` | `HL7_DT_PT` constant representing Data type PT
    `static int` | `HL7_DT_PTA` constant representing Data type PTA
    `static int` | `HL7_DT_QIP` constant representing Data type QIP
    `static int` | `HL7_DT_QSC` constant representing Data type QSC
    `static int` | `HL7_DT_RCD` constant representing Data type RCD
    `static int` | `HL7_DT_RFR` constant representing Data type RFR
    `static int` | `HL7_DT_RI` constant representing Data type RI
    `static int` | `HL7_DT_RMC` constant representing Data type RMC
    `static int` | `HL7_DT_RP` constant representing Data type RP
    `static int` | `HL7_DT_RPT` constant representing Data type RPT
    `static int` | `HL7_DT_SAD` constant representing Data type SAD
    `static int` | `HL7_DT_SCV` constant representing Data type SCV
    `static int` | `HL7_DT_SI` constant representing Data type SI
    `static int` | `HL7_DT_SN` constant representing Data type SN
    `static int` | `HL7_DT_SNM` constant representing Data type SN
    `static int` | `HL7_DT_SPD` constant representing Data type SPD
    `static int` | `HL7_DT_SRT` constant representing Data type SRT
    `static int` | `HL7_DT_ST` constant representing Data type ST
    `static int` | `HL7_DT_TM` constant representing Data type TM
    `static int` | `HL7_DT_TX` constant representing Data type TX
    `static int` | `HL7_DT_UN` constant representing Data type UN
    `static int` | `HL7_DT_UVC` constant representing Data type UVC
    `static int` | `HL7_DT_VH` constant representing Data type VH
    `static int` | `HL7_DT_VID` constant representing Data type VID
    `static int` | `HL7_DT_VR` constant representing Data type VR
    `static int` | `HL7_DT_WVI` constant representing Data type WVI
    `static int` | `HL7_DT_WVS` constant representing Data type WVS
    `static int` | `HL7_DT_XAD` constant representing Data type XAD
    `static int` | `HL7_DT_XCN` constant representing Data type XCN
    `static int` | `HL7_DT_XON` constant representing Data type XON
    `static int` | `HL7_DT_XPN` constant representing Data type XPN
    `static int` | `HL7_DT_XTN` constant representing Data type XTN
    `static int` | `HL7_FUNCTION_FAIL` FAIL if result is not proper
    `static int` | `HL7_FUNCTION_SUCCESS` Constants used for returning the values from the function Depending on the result when return type is Integer.
    `static int` | `HL7_INVALID_SEGMENT_TERMINATOR` INVALID_SEGMENT_TERMINATOR if during parsing Termination of Segment is not correct
    `static java.lang.String` | `HL7_RESOURCE_PATH` Constant used for property file containing paths of test file
    `static int` | `HL7_SEG_ABS` Constants used for HL7 segment ABS.
    `static int` | `HL7_SEG_ACC` Constants used for HL7 segment ACC.
    `static int` | `HL7_SEG_ADJ` Constants used for HL7 segment ADJ.
    `static int` | `HL7_SEG_AFF` Constants used for HL7 segment AFF.
    `static int` | `HL7_SEG_AIG` Constants used for HL7 segment AIG.
    `static int` | `HL7_SEG_AIL` Constants used for HL7 segment AIL.
    `static int` | `HL7_SEG_AIP` Constants used for HL7 segment AIP.
    `static int` | `HL7_SEG_AIS` Constants used for HL7 segment AIS.
    `static int` | `HL7_SEG_AL1` Constants used for HL7 segment AL1.
    `static int` | `HL7_SEG_APR` Constants used for HL7 segment APR .
    `static int` | `HL7_SEG_ARQ` Constants used for HL7 segment ARQ.
    `static int` | `HL7_SEG_AUT` Constants used for HL7 segment AUT.
    `static int` | `HL7_SEG_BLC` Constants used for HL7 segment BLC.
    `static int` | `HL7_SEG_BLG` Constants used for HL7 segment BLG.
    `static int` | `HL7_SEG_BPO` Constants used for HL7 segment BPO.
    `static int` | `HL7_SEG_BPX` Constants used for HL7 segment BPX.
    `static int` | `HL7_SEG_BTX` Constants used for HL7 segment BTX.
    `static int` | `HL7_SEG_CDM` Constants used for HL7 segment CDM.
    `static int` | `HL7_SEG_CER` Constants used for HL7 segment CER.
    `static int` | `HL7_SEG_CM0` Constants used for HL7 segment CM0.
    `static int` | `HL7_SEG_CM1` Constants used for HL7 segment CM1.
    `static int` | `HL7_SEG_CM2` Constants used for HL7 segment CM2.
    `static int` | `HL7_SEG_CON` Constants used for HL7 segment CON.
    `static int` | `HL7_SEG_CSP` Constants used for HL7 segment CSP.
    `static int` | `HL7_SEG_CSR` Constants used for HL7 segment CSR.
    `static int` | `HL7_SEG_CSS` Constants used for HL7 segment CSS.
    `static int` | `HL7_SEG_CTD` Constants used for HL7 segment CTD.
    `static int` | `HL7_SEG_CTI` Constants used for HL7 segment CTI.
    `static int` | `HL7_SEG_DB1` Constants used for HL7 segment DB1.
    `static int` | `HL7_SEG_DG1` Constants used for HL7 segment DG1.
    `static int` | `HL7_SEG_DRG` Constants used for HL7 segment DRG.
    `static int` | `HL7_SEG_DSC` Constants used for HL7 segment DSC.
    `static int` | `HL7_SEG_DSP` Constants used for HL7 segment DSP.
    `static int` | `HL7_SEG_EDU` Constants used for HL7 segment EDU.
    `static int` | `HL7_SEG_ERR` Constants used for HL7 segment ERR.
    `static int` | `HL7_SEG_EVN` Constants used for HL7 segment EVN.
    `static int` | `HL7_SEG_FAC` Constants used for HL7 segment FAC.
    `static int` | `HL7_SEG_FT1` Constants used for HL7 segment FT1.
    `static int` | `HL7_SEG_GOL` Constants used for HL7 segment GOL.
    `static int` | `HL7_SEG_GP1` Constants used for HL7 segment GP1.
    `static int` | `HL7_SEG_GP2` Constants used for HL7 segment GP2.
    `static int` | `HL7_SEG_GT1` Constants used for HL7 segment GT1.
    `static int` | `HL7_SEG_IAM` Constants used for HL7 segment IAM.
    `static int` | `HL7_SEG_IIM` Constants used for HL7 segment IIM.
    `static int` | `HL7_SEG_ILT` Constants used for HL7 segment ILT.
    `static int` | `HL7_SEG_IN1` Constants used for HL7 segment IN1.
    `static int` | `HL7_SEG_IN2` Constants used for HL7 segment IN2.
    `static int` | `HL7_SEG_IN3` Constants used for HL7 segment IN3.
    `static int` | `HL7_SEG_INV` Constants used for HL7 segment INV.
    `static int` | `HL7_SEG_IPC` Constants used for HL7 segment IPC.
    `static int` | `HL7_SEG_IPR` Constants used for HL7 segment IPR.
    `static int` | `HL7_SEG_ITM` Constants used for HL7 segment ITM.
    `static int` | `HL7_SEG_IVC` Constants used for HL7 segment IVC.
    `static int` | `HL7_SEG_IVT` Constants used for HL7 segment IVT.
    `static int` | `HL7_SEG_LAN` Constants used for HL7 segment LAN.
    `static int` | `HL7_SEG_LCC` Constants used for HL7 segment LCC.
    `static int` | `HL7_SEG_LCH` Constants used for HL7 segment LCH.
    `static int` | `HL7_SEG_LDP` Constants used for HL7 segment LDP.
    `static int` | `HL7_SEG_LOC` Constants used for HL7 segment LOC.
    `static int` | `HL7_SEG_LRL` Constants used for HL7 segment LRL.
    `static int` | `HL7_SEG_MFA` Constants used for HL7 segment MFA.
    `static int` | `HL7_SEG_MFE` Constants used for HL7 segment MFE.
    `static int` | `HL7_SEG_MFI` Constants used for HL7 segment MFI.
    `static int` | `HL7_SEG_MRG` Constants used for HL7 segment MRG.
    `static int` | `HL7_SEG_MSA` Constants used for HL7 segment MSA.
    `static int` | `HL7_SEG_MSH` Constants used for HL7 segment MSH.
    `static int` | `HL7_SEG_NK1` Constants used for HL7 segment NK1.
    `static int` | `HL7_SEG_NPU` Constants used for HL7 segment NPU.
    `static int` | `HL7_SEG_NTE` Constants used for HL7 segment NTE.
    `static int` | `HL7_SEG_OBR` Constants used for HL7 segment OBR.
    `static int` | `HL7_SEG_OBX` Constants used for HL7 segment OBX.
    `static int` | `HL7_SEG_ODS` Constants used for HL7 segment ODS.
    `static int` | `HL7_SEG_ODT` Constants used for HL7 segment ODT.
    `static int` | `HL7_SEG_OM1` Constants used for HL7 segment OM1 .
    `static int` | `HL7_SEG_OM2` Constants used for HL7 segment OM2 .
    `static int` | `HL7_SEG_OM3` Constants used for HL7 segment OM3.
    `static int` | `HL7_SEG_OM4` Constants used for HL7 segment OM4 .
    `static int` | `HL7_SEG_OM5` Constants used for HL7 segment OM5 .
    `static int` | `HL7_SEG_OM6` Constants used for HL7 segment OM6.
    `static int` | `HL7_SEG_OM7` Constants used for HL7 segment OM7.
    `static int` | `HL7_SEG_ORC` Constants used for HL7 segment ORC.
    `static int` | `HL7_SEG_ORG` Constants used for HL7 segment ORG.
    `static int` | `HL7_SEG_PCE` Constants used for HL7 segment PCE.
    `static int` | `HL7_SEG_PCR` Constants used for HL7 segment PCR.
    `static int` | `HL7_SEG_PD1` Constants used for HL7 segment PD1.
    `static int` | `HL7_SEG_PDA` Constants used for HL7 segment PDA.
    `static int` | `HL7_SEG_PDC` Constants used for HL7 segment PDC.
    `static int` | `HL7_SEG_PEO` Constants used for HL7 segment PEO.
    `static int` | `HL7_SEG_PES` Constants used for HL7 segment PES.
    `static int` | `HL7_SEG_PID` Constants used for HL7 segment PID.
    `static int` | `HL7_SEG_PKG` Constants used for HL7 segment PKG.
    `static int` | `HL7_SEG_PMT` Constants used for HL7 segment PMT.
    `static int` | `HL7_SEG_PR1` Constants used for HL7 segment PR1.
    `static int` | `HL7_SEG_PRA` Constants used for HL7 segment PRA.
    `static int` | `HL7_SEG_PRB` Constants used for HL7 segment PRB.
    `static int` | `HL7_SEG_PRC` Constants used for HL7 segment PRC.
    `static int` | `HL7_SEG_PRD` Constants used for HL7 segment PRD.
    `static int` | `HL7_SEG_PSG` Constants used for HL7 segment PSG.
    `static int` | `HL7_SEG_PSH` Constants used for HL7 segment PSH.
    `static int` | `HL7_SEG_PSL` Constants used for HL7 segment PSL.
    `static int` | `HL7_SEG_PSS` Constants used for HL7 segment PSS.
    `static int` | `HL7_SEG_PTH` Constants used for HL7 segment PTH.
    `static int` | `HL7_SEG_PV1` Constants used for HL7 segment PV1.
    `static int` | `HL7_SEG_PV2` Constants used for HL7 segment PV2.
    `static int` | `HL7_SEG_PYE` Constants used for HL7 segment PYE.
    `static int` | `HL7_SEG_QAK` Constants used for HL7 segment QAK.
    `static int` | `HL7_SEG_QID` Constants used for HL7 segment QID.
    `static int` | `HL7_SEG_QPD` Constants used for HL7 segment QPD.
    `static int` | `HL7_SEG_QRD` Constants used for HL7 segment QRD.
    `static int` | `HL7_SEG_QRF` Constants used for HL7 segment QRF.
    `static int` | `HL7_SEG_QRI` Constants used for HL7 segment QRI.
    `static int` | `HL7_SEG_RCP` Constants used for HL7 segment RPC.
    `static int` | `HL7_SEG_RDF` Constants used for HL7 segment RDF.
    `static int` | `HL7_SEG_RDT` Constants used for HL7 segment RDT.
    `static int` | `HL7_SEG_RF1` Constants used for HL7 segment RF1.
    `static int` | `HL7_SEG_RFI` Constants used for HL7 segment RFI.
    `static int` | `HL7_SEG_RGS` Constants used for HL7 segment RGS.
    `static int` | `HL7_SEG_RMI` Constants used for HL7 segment RMI.
    `static int` | `HL7_SEG_ROL` Constants used for HL7 segment ROL.
    `static int` | `HL7_SEG_RQ1` Constants used for HL7 segment RQ1.
    `static int` | `HL7_SEG_RQD` Constants used for HL7 segment RQD.
    `static int` | `HL7_SEG_RXA` Constants used for HL7 segment RXA.
    `static int` | `HL7_SEG_RXC` Constants used for HL7 segment RXC.
    `static int` | `HL7_SEG_RXD` Constants used for HL7 segment RXD.
    `static int` | `HL7_SEG_RXE` Constants used for HL7 segment RXE.
    `static int` | `HL7_SEG_RXG` Constants used for HL7 segment RXG.
    `static int` | `HL7_SEG_RXO` Constants used for HL7 segment RXO.
    `static int` | `HL7_SEG_RXR` Constants used for HL7 segment RXR.
    `static int` | `HL7_SEG_SAC` Constants used for HL7 segment SAC.
    `static int` | `HL7_SEG_SCD` Constants used for HL7 segment SCD.
    `static int` | `HL7_SEG_SCH` Constants used for HL7 segment SCH.
    `static int` | `HL7_SEG_SCP` Constants used for HL7 segment SCP.
    `static int` | `HL7_SEG_SDD` Constants used for HL7 segment SDD.
    `static int` | `HL7_SEG_SFT` Constants used for HL7 segment SFT.
    `static int` | `HL7_SEG_SID` Constants used for HL7 segment SID.
    `static int` | `HL7_SEG_SLT` Constants used for HL7 segment SLT.
    `static int` | `HL7_SEG_SPM` Constants used for HL7 segment SPM.
    `static int` | `HL7_SEG_STF` Constants used for HL7 segment STF.
    `static int` | `HL7_SEG_STZ` Constants used for HL7 segment STZ.
    `static int` | `HL7_SEG_TCD` Constants used for HL7 segment TCD.
    `static int` | `HL7_SEG_TQ1` Constants used for HL7 segment TQ1.
    `static int` | `HL7_SEG_TQ2` Constants used for HL7 segment TQ2.
    `static int` | `HL7_SEG_TXA` Constants used for HL7 segment TXA.
    `static int` | `HL7_SEG_UB1` Constants used for HL7 segment UB1.
    `static int` | `HL7_SEG_UB2` Constants used for HL7 segment UB2.
    `static int` | `HL7_SEG_VAR` Constants used for HL7 segment VAR.
    `static int` | `HL7_SEG_VND` Constants used for HL7 segment VND.
    `static int` | `HL7_SUBCOMPONENT` These are constants used for HL7 to identify the type of SubComponent
    `static int` | `HL7_TABLE_NOT_FOUND` TABLE_NOT_FOUND if during validating for the datatypes table is not present
    `static java.lang.String` | `HL7_UNDERSCORE` Constant used for Underscore
    `static int` | `HL7_VALUE_NOT_FOUND` VALUE_NOT_FOUND if during validating for the datatypes value in the table is not present
    `static int` | `HL7_WITHDRAWN_FIELD` UNRECOGNIZED_FIELD while parsing unrecognized field encounter.
    `static java.lang.String` | `JAR_ROUTE_PATH` This string contains the path of shared jar files.
    `static int` | `STREAM_TYPE_INPUT` if stream type is inputStream
    `static int` | `STREAM_TYPE_INPUTOUTPUT` if stream type is inputStream as well as OutputStream
    `static int` | `STREAM_TYPE_INVALID` if stream type is Invalid.
    `static int` | `STREAM_TYPE_OUTPUT` if stream type is OutputStream

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVAL

          public static final byte[] EVAL

      This constant specifies byte array for Evaluation.

    - #### JAR_ROUTE_PATH

          public static final java.lang.String JAR_ROUTE_PATH

      This string contains the path of shared jar files.

    - #### HL7_RESOURCE_PATH

          public static final java.lang.String HL7_RESOURCE_PATH

      Constant used for property file containing paths of test file

    - #### HL7_UNDERSCORE

          public static final java.lang.String HL7_UNDERSCORE

      Constant used for Underscore
      See Also:
        Constant Field Values

    - #### HL7_CARRIAGE_RETURN

          public static final char HL7_CARRIAGE_RETURN

      These are constants used for HL7 Data Types
      See Also:
        Constant Field Values

    - #### HL7_DT_AD

          public static final int HL7_DT_AD

      constant representing Data type AD
      See Also:
        Constant Field Values

    - #### HL7_DT_AUI

          public static final int HL7_DT_AUI

      constant representing Data type AUI
      See Also:
        Constant Field Values

    - #### HL7_DT_CCD

          public static final int HL7_DT_CCD

      constant representing Data type CCD
      See Also:
        Constant Field Values

    - #### HL7_DT_CCP

          public static final int HL7_DT_CCP

      constant representing Data type CCP
      See Also:
        Constant Field Values

    - #### HL7_DT_CD

          public static final int HL7_DT_CD

      constant representing Data type CD
      See Also:
        Constant Field Values

    - #### HL7_DT_CF

          public static final int HL7_DT_CF

      constant representing Data type CF
      See Also:
        Constant Field Values

    - #### HL7_DT_CNE

          public static final int HL7_DT_CNE

      constant representing Data type CNE
      See Also:
        Constant Field Values

    - #### HL7_DT_CNN

          public static final int HL7_DT_CNN

      constant representing Data type CNN
      See Also:
        Constant Field Values

    - #### HL7_DT_CP

          public static final int HL7_DT_CP

      constant representing Data type CP
      See Also:
        Constant Field Values

    - #### HL7_DT_CQ

          public static final int HL7_DT_CQ

      constant representing Data type CQ
      See Also:
        Constant Field Values

    - #### HL7_DT_CSU

          public static final int HL7_DT_CSU

      constant representing Data type CSU
      See Also:
        Constant Field Values

    - #### HL7_DT_CWE

          public static final int HL7_DT_CWE

      constant representing Data type CWE
      See Also:
        Constant Field Values

    - #### HL7_DT_CX

          public static final int HL7_DT_CX

      constant representing Data type CX
      See Also:
        Constant Field Values

    - #### HL7_DT_DDI

          public static final int HL7_DT_DDI

      constant representing Data type DDI
      See Also:
        Constant Field Values

    - #### HL7_DT_DIN

          public static final int HL7_DT_DIN

      constant representing Data type DIN
      See Also:
        Constant Field Values

    - #### HL7_DT_DLD

          public static final int HL7_DT_DLD

      constant representing Data type DLD
      See Also:
        Constant Field Values

    - #### HL7_DT_DLN

          public static final int HL7_DT_DLN

      constant representing Data type DLN
      See Also:
        Constant Field Values

    - #### HL7_DT_DLT

          public static final int HL7_DT_DLT

      constant representing Data type DLT
      See Also:
        Constant Field Values

    - #### HL7_DT_DR

          public static final int HL7_DT_DR

      constant representing Data type DR
      See Also:
        Constant Field Values

    - #### HL7_DT_DT

          public static final int HL7_DT_DT

      constant representing Data type DT
      See Also:
        Constant Field Values

    - #### HL7_DT_DTM

          public static final int HL7_DT_DTM

      constant representing Data type DTM
      See Also:
        Constant Field Values

    - #### HL7_DT_DTN

          public static final int HL7_DT_DTN

      constant representing Data type DTN
      See Also:
        Constant Field Values

    - #### HL7_DT_ED

          public static final int HL7_DT_ED

      constant representing Data type ED
      See Also:
        Constant Field Values

    - #### HL7_DT_EI

          public static final int HL7_DT_EI

      constant representing Data type EI
      See Also:
        Constant Field Values

    - #### HL7_DT_EIP

          public static final int HL7_DT_EIP

      constant representing Data type EIP
      See Also:
        Constant Field Values

    - #### HL7_DT_ERL

          public static final int HL7_DT_ERL

      constant representing Data type ERL
      See Also:
        Constant Field Values

    - #### HL7_DT_FC

          public static final int HL7_DT_FC

      constant representing Data type FC
      See Also:
        Constant Field Values

    - #### HL7_DT_FT

          public static final int HL7_DT_FT

      constant representing Data type FL
      See Also:
        Constant Field Values

    - #### HL7_DT_FN

          public static final int HL7_DT_FN

      constant representing Data type FN
      See Also:
        Constant Field Values

    - #### HL7_DT_GTS

          public static final int HL7_DT_GTS

      constant representing Data type GTS
      See Also:
        Constant Field Values

    - #### HL7_DT_HD

          public static final int HL7_DT_HD

      constant representing Data type HD
      See Also:
        Constant Field Values

    - #### HL7_DT_ICD

          public static final int HL7_DT_ICD

      constant representing Data type ICD
      See Also:
        Constant Field Values

    - #### HL7_DT_ID

          public static final int HL7_DT_ID

      constant representing Data type ID
      See Also:
        Constant Field Values

    - #### HL7_DT_IS

          public static final int HL7_DT_IS

      constant representing Data type IS
      See Also:
        Constant Field Values

    - #### HL7_DT_JCC

          public static final int HL7_DT_JCC

      constant representing Data type JCC
      See Also:
        Constant Field Values

    - #### HL7_DT_MA

          public static final int HL7_DT_MA

      constant representing Data type MA
      See Also:
        Constant Field Values

    - #### HL7_DT_MO

          public static final int HL7_DT_MO

      constant representing Data type MO
      See Also:
        Constant Field Values

    - #### HL7_DT_MOC

          public static final int HL7_DT_MOC

      constant representing Data type MOC
      See Also:
        Constant Field Values

    - #### HL7_DT_MOP

          public static final int HL7_DT_MOP

      constant representing Data type MOP
      See Also:
        Constant Field Values

    - #### HL7_DT_MSG

          public static final int HL7_DT_MSG

      constant representing Data type MSG
      See Also:
        Constant Field Values

    - #### HL7_DT_NA

          public static final int HL7_DT_NA

      constant representing Data type NA
      See Also:
        Constant Field Values

    - #### HL7_DT_NM

          public static final int HL7_DT_NM

      constant representing Data type NM
      See Also:
        Constant Field Values

    - #### HL7_DT_NR

          public static final int HL7_DT_NR

      constant representing Data type NR
      See Also:
        Constant Field Values

    - #### HL7_DT_OCD

          public static final int HL7_DT_OCD

      constant representing Data type OCD
      See Also:
        Constant Field Values

    - #### HL7_DT_OG

          public static final int HL7_DT_OG

      constant representing Data type OCD
      See Also:
        Constant Field Values

    - #### HL7_DT_OSP

          public static final int HL7_DT_OSP

      constant representing Data type OSP
      See Also:
        Constant Field Values

    - #### HL7_DT_PIP

          public static final int HL7_DT_PIP

      constant representing Data type PIP
      See Also:
        Constant Field Values

    - #### HL7_DT_PL

          public static final int HL7_DT_PL

      constant representing Data type PL
      See Also:
        Constant Field Values

    - #### HL7_DT_PLN

          public static final int HL7_DT_PLN

      constant representing Data type PLN
      See Also:
        Constant Field Values

    - #### HL7_DT_PPN

          public static final int HL7_DT_PPN

      constant representing Data type PPN
      See Also:
        Constant Field Values

    - #### HL7_DT_PRL

          public static final int HL7_DT_PRL

      constant representing Data type PRL
      See Also:
        Constant Field Values

    - #### HL7_DT_PT

          public static final int HL7_DT_PT

      constant representing Data type PT
      See Also:
        Constant Field Values

    - #### HL7_DT_PTA

          public static final int HL7_DT_PTA

      constant representing Data type PTA
      See Also:
        Constant Field Values

    - #### HL7_DT_QIP

          public static final int HL7_DT_QIP

      constant representing Data type QIP
      See Also:
        Constant Field Values

    - #### HL7_DT_QSC

          public static final int HL7_DT_QSC

      constant representing Data type QSC
      See Also:
        Constant Field Values

    - #### HL7_DT_RCD

          public static final int HL7_DT_RCD

      constant representing Data type RCD
      See Also:
        Constant Field Values

    - #### HL7_DT_RFR

          public static final int HL7_DT_RFR

      constant representing Data type RFR
      See Also:
        Constant Field Values

    - #### HL7_DT_RI

          public static final int HL7_DT_RI

      constant representing Data type RI
      See Also:
        Constant Field Values

    - #### HL7_DT_RMC

          public static final int HL7_DT_RMC

      constant representing Data type RMC
      See Also:
        Constant Field Values

    - #### HL7_DT_RP

          public static final int HL7_DT_RP

      constant representing Data type RP
      See Also:
        Constant Field Values

    - #### HL7_DT_RPT

          public static final int HL7_DT_RPT

      constant representing Data type RPT
      See Also:
        Constant Field Values

    - #### HL7_DT_SAD

          public static final int HL7_DT_SAD

      constant representing Data type SAD
      See Also:
        Constant Field Values

    - #### HL7_DT_SCV

          public static final int HL7_DT_SCV

      constant representing Data type SCV
      See Also:
        Constant Field Values

    - #### HL7_DT_SI

          public static final int HL7_DT_SI

      constant representing Data type SI
      See Also:
        Constant Field Values

    - #### HL7_DT_SN

          public static final int HL7_DT_SN

      constant representing Data type SN
      See Also:
        Constant Field Values

    - #### HL7_DT_SNM

          public static final int HL7_DT_SNM

      constant representing Data type SN
      See Also:
        Constant Field Values

    - #### HL7_DT_SPD

          public static final int HL7_DT_SPD

      constant representing Data type SPD
      See Also:
        Constant Field Values

    - #### HL7_DT_SRT

          public static final int HL7_DT_SRT

      constant representing Data type SRT
      See Also:
        Constant Field Values

    - #### HL7_DT_ST

          public static final int HL7_DT_ST

      constant representing Data type ST
      See Also:
        Constant Field Values

    - #### HL7_DT_TM

          public static final int HL7_DT_TM

      constant representing Data type TM
      See Also:
        Constant Field Values

    - #### HL7_DT_TX

          public static final int HL7_DT_TX

      constant representing Data type TX
      See Also:
        Constant Field Values

    - #### HL7_DT_UVC

          public static final int HL7_DT_UVC

      constant representing Data type UVC
      See Also:
        Constant Field Values

    - #### HL7_DT_VH

          public static final int HL7_DT_VH

      constant representing Data type VH
      See Also:
        Constant Field Values

    - #### HL7_DT_VID

          public static final int HL7_DT_VID

      constant representing Data type VID
      See Also:
        Constant Field Values

    - #### HL7_DT_VR

          public static final int HL7_DT_VR

      constant representing Data type VR
      See Also:
        Constant Field Values

    - #### HL7_DT_WVI

          public static final int HL7_DT_WVI

      constant representing Data type WVI
      See Also:
        Constant Field Values

    - #### HL7_DT_WVS

          public static final int HL7_DT_WVS

      constant representing Data type WVS
      See Also:
        Constant Field Values

    - #### HL7_DT_XAD

          public static final int HL7_DT_XAD

      constant representing Data type XAD
      See Also:
        Constant Field Values

    - #### HL7_DT_XCN

          public static final int HL7_DT_XCN

      constant representing Data type XCN
      See Also:
        Constant Field Values

    - #### HL7_DT_XON

          public static final int HL7_DT_XON

      constant representing Data type XON
      See Also:
        Constant Field Values

    - #### HL7_DT_XPN

          public static final int HL7_DT_XPN

      constant representing Data type XPN
      See Also:
        Constant Field Values

    - #### HL7_DT_XTN

          public static final int HL7_DT_XTN

      constant representing Data type XTN
      See Also:
        Constant Field Values

    - #### HL7_DT_UN

          public static final int HL7_DT_UN

      constant representing Data type UN
      See Also:
        Constant Field Values

    - #### HL7_COMPONENT

          public static final int HL7_COMPONENT

      These are constants used for HL7 to identify the type of Component
      See Also:
        Constant Field Values

    - #### HL7_SUBCOMPONENT

          public static final int HL7_SUBCOMPONENT

      These are constants used for HL7 to identify the type of SubComponent
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_INPUT

          public static final int STREAM_TYPE_INPUT

      if stream type is inputStream
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_OUTPUT

          public static final int STREAM_TYPE_OUTPUT

      if stream type is OutputStream
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_INPUTOUTPUT

          public static final int STREAM_TYPE_INPUTOUTPUT

      if stream type is inputStream as well as OutputStream
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_INVALID

          public static final int STREAM_TYPE_INVALID

      if stream type is Invalid.
      See Also:
        Constant Field Values

    - #### HL7_FUNCTION_SUCCESS

          public static final int HL7_FUNCTION_SUCCESS

      Constants used for returning the values from the function Depending on the result when return type is Integer. SUCCESS if result is proper
      See Also:
        Constant Field Values

    - #### HL7_FUNCTION_FAIL

          public static final int HL7_FUNCTION_FAIL

      FAIL if result is not proper
      See Also:
        Constant Field Values

    - #### HL7_TABLE_NOT_FOUND

          public static final int HL7_TABLE_NOT_FOUND

      TABLE_NOT_FOUND if during validating for the datatypes table is not present
      See Also:
        Constant Field Values

    - #### HL7_VALUE_NOT_FOUND

          public static final int HL7_VALUE_NOT_FOUND

      VALUE_NOT_FOUND if during validating for the datatypes value in the table is not present
      See Also:
        Constant Field Values

    - #### HL7_INVALID_SEGMENT_TERMINATOR

          public static final int HL7_INVALID_SEGMENT_TERMINATOR

      INVALID_SEGMENT_TERMINATOR if during parsing Termination of Segment is not correct
      See Also:
        Constant Field Values

    - #### HL7_WITHDRAWN_FIELD

          public static final int HL7_WITHDRAWN_FIELD

      UNRECOGNIZED_FIELD while parsing unrecognized field encounter.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ACC

          public static final int HL7_SEG_ACC

      Constants used for HL7 segment ACC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AL1

          public static final int HL7_SEG_AL1

      Constants used for HL7 segment AL1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_DB1

          public static final int HL7_SEG_DB1

      Constants used for HL7 segment DB1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_DG1

          public static final int HL7_SEG_DG1

      Constants used for HL7 segment DG1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_DRG

          public static final int HL7_SEG_DRG

      Constants used for HL7 segment DRG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_EVN

          public static final int HL7_SEG_EVN

      Constants used for HL7 segment EVN.
      See Also:
        Constant Field Values

    - #### HL7_SEG_GT1

          public static final int HL7_SEG_GT1

      Constants used for HL7 segment GT1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IN1

          public static final int HL7_SEG_IN1

      Constants used for HL7 segment IN1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IN2

          public static final int HL7_SEG_IN2

      Constants used for HL7 segment IN2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IN3

          public static final int HL7_SEG_IN3

      Constants used for HL7 segment IN3.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MSH

          public static final int HL7_SEG_MSH

      Constants used for HL7 segment MSH.
      See Also:
        Constant Field Values

    - #### HL7_SEG_NK1

          public static final int HL7_SEG_NK1

      Constants used for HL7 segment NK1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_NPU

          public static final int HL7_SEG_NPU

      Constants used for HL7 segment NPU.
      See Also:
        Constant Field Values

    - #### HL7_SEG_OBX

          public static final int HL7_SEG_OBX

      Constants used for HL7 segment OBX.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PD1

          public static final int HL7_SEG_PD1

      Constants used for HL7 segment PD1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PDA

          public static final int HL7_SEG_PDA

      Constants used for HL7 segment PDA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PID

          public static final int HL7_SEG_PID

      Constants used for HL7 segment PID.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PR1

          public static final int HL7_SEG_PR1

      Constants used for HL7 segment PR1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PV1

          public static final int HL7_SEG_PV1

      Constants used for HL7 segment PV1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PV2

          public static final int HL7_SEG_PV2

      Constants used for HL7 segment PV2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ROL

          public static final int HL7_SEG_ROL

      Constants used for HL7 segment ROL.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SFT

          public static final int HL7_SEG_SFT

      Constants used for HL7 segment SFT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_UB1

          public static final int HL7_SEG_UB1

      Constants used for HL7 segment UB1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_UB2

          public static final int HL7_SEG_UB2

      Constants used for HL7 segment UB2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MRG

          public static final int HL7_SEG_MRG

      Constants used for HL7 segment MRG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IAM

          public static final int HL7_SEG_IAM

      Constants used for HL7 segment IAM.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QAK

          public static final int HL7_SEG_QAK

      Constants used for HL7 segment QAK.
      See Also:
        Constant Field Values

    - #### HL7_SEG_DSC

          public static final int HL7_SEG_DSC

      Constants used for HL7 segment DSC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QRD

          public static final int HL7_SEG_QRD

      Constants used for HL7 segment QRD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QRF

          public static final int HL7_SEG_QRF

      Constants used for HL7 segment QRF.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QPD

          public static final int HL7_SEG_QPD

      Constants used for HL7 segment QPD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RCP

          public static final int HL7_SEG_RCP

      Constants used for HL7 segment RPC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_BLG

          public static final int HL7_SEG_BLG

      Constants used for HL7 segment BLG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CTD

          public static final int HL7_SEG_CTD

      Constants used for HL7 segment CTD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CTI

          public static final int HL7_SEG_CTI

      Constants used for HL7 segment CTI.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ERR

          public static final int HL7_SEG_ERR

      Constants used for HL7 segment ERR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_FT1

          public static final int HL7_SEG_FT1

      Constants used for HL7 segment FT1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MSA

          public static final int HL7_SEG_MSA

      Constants used for HL7 segment MSA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_OBR

          public static final int HL7_SEG_OBR

      Constants used for HL7 segment OBR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ODS

          public static final int HL7_SEG_ODS

      Constants used for HL7 segment ODS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ODT

          public static final int HL7_SEG_ODT

      Constants used for HL7 segment ODT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ORC

          public static final int HL7_SEG_ORC

      Constants used for HL7 segment ORC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RQ1

          public static final int HL7_SEG_RQ1

      Constants used for HL7 segment RQ1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RQD

          public static final int HL7_SEG_RQD

      Constants used for HL7 segment RQD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXO

          public static final int HL7_SEG_RXO

      Constants used for HL7 segment RXO.
      See Also:
        Constant Field Values

    - #### HL7_SEG_TQ1

          public static final int HL7_SEG_TQ1

      Constants used for HL7 segment TQ1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_TQ2

          public static final int HL7_SEG_TQ2

      Constants used for HL7 segment TQ2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_NTE

          public static final int HL7_SEG_NTE

      Constants used for HL7 segment NTE.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXE

          public static final int HL7_SEG_RXE

      Constants used for HL7 segment RXE.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXR

          public static final int HL7_SEG_RXR

      Constants used for HL7 segment RXR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXC

          public static final int HL7_SEG_RXC

      Constants used for HL7 segment RXC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_BPO

          public static final int HL7_SEG_BPO

      Constants used for HL7 segment BPO.
      See Also:
        Constant Field Values

    - #### HL7_SEG_BPX

          public static final int HL7_SEG_BPX

      Constants used for HL7 segment BPX.
      See Also:
        Constant Field Values

    - #### HL7_SEG_BTX

          public static final int HL7_SEG_BTX

      Constants used for HL7 segment BTX.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IPC

          public static final int HL7_SEG_IPC

      Constants used for HL7 segment IPC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXA

          public static final int HL7_SEG_RXA

      Constants used for HL7 segment RXA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXD

          public static final int HL7_SEG_RXD

      Constants used for HL7 segment RXD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RXG

          public static final int HL7_SEG_RXG

      Constants used for HL7 segment RXG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SAC

          public static final int HL7_SEG_SAC

      Constants used for HL7 segment SAC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SPM

          public static final int HL7_SEG_SPM

      Constants used for HL7 segment SPM.
      See Also:
        Constant Field Values

    - #### HL7_SEG_TCD

          public static final int HL7_SEG_TCD

      Constants used for HL7 segment TCD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CM0

          public static final int HL7_SEG_CM0

      Constants used for HL7 segment CM0.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CM1

          public static final int HL7_SEG_CM1

      Constants used for HL7 segment CM1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CM2

          public static final int HL7_SEG_CM2

      Constants used for HL7 segment CM2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CSP

          public static final int HL7_SEG_CSP

      Constants used for HL7 segment CSP.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CSR

          public static final int HL7_SEG_CSR

      Constants used for HL7 segment CSR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CSS

          public static final int HL7_SEG_CSS

      Constants used for HL7 segment CSS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_FAC

          public static final int HL7_SEG_FAC

      Constants used for HL7 segment FAC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PCR

          public static final int HL7_SEG_PCR

      Constants used for HL7 segment PCR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PDC

          public static final int HL7_SEG_PDC

      Constants used for HL7 segment PDC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PEO

          public static final int HL7_SEG_PEO

      Constants used for HL7 segment PEO.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PES

          public static final int HL7_SEG_PES

      Constants used for HL7 segment PES.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PSH

          public static final int HL7_SEG_PSH

      Constants used for HL7 segment PSH.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SID

          public static final int HL7_SEG_SID

      Constants used for HL7 segment SID.
      See Also:
        Constant Field Values

    - #### HL7_SEG_INV

          public static final int HL7_SEG_INV

      Constants used for HL7 segment INV.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PRB

          public static final int HL7_SEG_PRB

      Constants used for HL7 segment PRB.
      See Also:
        Constant Field Values

    - #### HL7_SEG_GP1

          public static final int HL7_SEG_GP1

      Constants used for HL7 segment GP1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_GP2

          public static final int HL7_SEG_GP2

      Constants used for HL7 segment GP2.
      See Also:
        Constant Field Values

    - #### HL7_SEG_BLC

          public static final int HL7_SEG_BLC

      Constants used for HL7 segment BLC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RMI

          public static final int HL7_SEG_RMI

      Constants used for HL7 segment RMI.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ABS

          public static final int HL7_SEG_ABS

      Constants used for HL7 segment ABS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_VAR

          public static final int HL7_SEG_VAR

      Constants used for HL7 segment VAR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PTH

          public static final int HL7_SEG_PTH

      Constants used for HL7 segment PTH.
      See Also:
        Constant Field Values

    - #### HL7_SEG_GOL

          public static final int HL7_SEG_GOL

      Constants used for HL7 segment GOL.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RF1

          public static final int HL7_SEG_RF1

      Constants used for HL7 segment RF1.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AUT

          public static final int HL7_SEG_AUT

      Constants used for HL7 segment AUT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PRD

          public static final int HL7_SEG_PRD

      Constants used for HL7 segment PRD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_DSP

          public static final int HL7_SEG_DSP

      Constants used for HL7 segment DSP.
      See Also:
        Constant Field Values

    - #### HL7_SEG_TXA

          public static final int HL7_SEG_TXA

      Constants used for HL7 segment TXA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CON

          public static final int HL7_SEG_CON

      Constants used for HL7 segment CON.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QID

          public static final int HL7_SEG_QID

      Constants used for HL7 segment QID.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RDF

          public static final int HL7_SEG_RDF

      Constants used for HL7 segment RDF.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ARQ

          public static final int HL7_SEG_ARQ

      Constants used for HL7 segment ARQ.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SCH

          public static final int HL7_SEG_SCH

      Constants used for HL7 segment SCH.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RGS

          public static final int HL7_SEG_RGS

      Constants used for HL7 segment RGS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_QRI

          public static final int HL7_SEG_QRI

      Constants used for HL7 segment QRI.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AIS

          public static final int HL7_SEG_AIS

      Constants used for HL7 segment AIS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AIG

          public static final int HL7_SEG_AIG

      Constants used for HL7 segment AIG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AIL

          public static final int HL7_SEG_AIL

      Constants used for HL7 segment AIL.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AIP

          public static final int HL7_SEG_AIP

      Constants used for HL7 segment AIP.
      See Also:
        Constant Field Values

    - #### HL7_SEG_APR

          public static final int HL7_SEG_APR

      Constants used for HL7 segment APR .
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM1

          public static final int HL7_SEG_OM1

      Constants used for HL7 segment OM1 .
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM2

          public static final int HL7_SEG_OM2

      Constants used for HL7 segment OM2 .
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM3

          public static final int HL7_SEG_OM3

      Constants used for HL7 segment OM3.
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM4

          public static final int HL7_SEG_OM4

      Constants used for HL7 segment OM4 .
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM5

          public static final int HL7_SEG_OM5

      Constants used for HL7 segment OM5 .
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM6

          public static final int HL7_SEG_OM6

      Constants used for HL7 segment OM6.
      See Also:
        Constant Field Values

    - #### HL7_SEG_OM7

          public static final int HL7_SEG_OM7

      Constants used for HL7 segment OM7.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MFI

          public static final int HL7_SEG_MFI

      Constants used for HL7 segment MFI.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LDP

          public static final int HL7_SEG_LDP

      Constants used for HL7 segment LDP.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LOC

          public static final int HL7_SEG_LOC

      Constants used for HL7 segment LOC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LCH

          public static final int HL7_SEG_LCH

      Constants used for HL7 segment LCH.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LRL

          public static final int HL7_SEG_LRL

      Constants used for HL7 segment LRL.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LCC

          public static final int HL7_SEG_LCC

      Constants used for HL7 segment LCC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CDM

          public static final int HL7_SEG_CDM

      Constants used for HL7 segment CDM.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PRC

          public static final int HL7_SEG_PRC

      Constants used for HL7 segment PRC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MFE

          public static final int HL7_SEG_MFE

      Constants used for HL7 segment MFE.
      See Also:
        Constant Field Values

    - #### HL7_SEG_MFA

          public static final int HL7_SEG_MFA

      Constants used for HL7 segment MFA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IIM

          public static final int HL7_SEG_IIM

      Constants used for HL7 segment IIM.
      See Also:
        Constant Field Values

    - #### HL7_SEG_STF

          public static final int HL7_SEG_STF

      Constants used for HL7 segment STF.
      See Also:
        Constant Field Values

    - #### HL7_SEG_AFF

          public static final int HL7_SEG_AFF

      Constants used for HL7 segment AFF.
      See Also:
        Constant Field Values

    - #### HL7_SEG_CER

          public static final int HL7_SEG_CER

      Constants used for HL7 segment CER.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PRA

          public static final int HL7_SEG_PRA

      Constants used for HL7 segment PRA.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ORG

          public static final int HL7_SEG_ORG

      Constants used for HL7 segment ORG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_LAN

          public static final int HL7_SEG_LAN

      Constants used for HL7 segment LAN.
      See Also:
        Constant Field Values

    - #### HL7_SEG_EDU

          public static final int HL7_SEG_EDU

      Constants used for HL7 segment EDU.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RDT

          public static final int HL7_SEG_RDT

      Constants used for HL7 segment RDT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_RFI

          public static final int HL7_SEG_RFI

      Constants used for HL7 segment RFI.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IVC

          public static final int HL7_SEG_IVC

      Constants used for HL7 segment IVC.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PYE

          public static final int HL7_SEG_PYE

      Constants used for HL7 segment PYE.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PSS

          public static final int HL7_SEG_PSS

      Constants used for HL7 segment PSS.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PSG

          public static final int HL7_SEG_PSG

      Constants used for HL7 segment PSG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PSL

          public static final int HL7_SEG_PSL

      Constants used for HL7 segment PSL.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ADJ

          public static final int HL7_SEG_ADJ

      Constants used for HL7 segment ADJ.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PMT

          public static final int HL7_SEG_PMT

      Constants used for HL7 segment PMT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IPR

          public static final int HL7_SEG_IPR

      Constants used for HL7 segment IPR.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ITM

          public static final int HL7_SEG_ITM

      Constants used for HL7 segment ITM.
      See Also:
        Constant Field Values

    - #### HL7_SEG_STZ

          public static final int HL7_SEG_STZ

      Constants used for HL7 segment STZ.
      See Also:
        Constant Field Values

    - #### HL7_SEG_VND

          public static final int HL7_SEG_VND

      Constants used for HL7 segment VND.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PKG

          public static final int HL7_SEG_PKG

      Constants used for HL7 segment PKG.
      See Also:
        Constant Field Values

    - #### HL7_SEG_PCE

          public static final int HL7_SEG_PCE

      Constants used for HL7 segment PCE.
      See Also:
        Constant Field Values

    - #### HL7_SEG_IVT

          public static final int HL7_SEG_IVT

      Constants used for HL7 segment IVT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_ILT

          public static final int HL7_SEG_ILT

      Constants used for HL7 segment ILT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SCP

          public static final int HL7_SEG_SCP

      Constants used for HL7 segment SCP.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SLT

          public static final int HL7_SEG_SLT

      Constants used for HL7 segment SLT.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SDD

          public static final int HL7_SEG_SDD

      Constants used for HL7 segment SDD.
      See Also:
        Constant Field Values

    - #### HL7_SEG_SCD

          public static final int HL7_SEG_SCD

      Constants used for HL7 segment SCD.
      See Also:
        Constant Field Values

    - #### END_OF_STREAM

          public static final int END_OF_STREAM

      Constant used for indicate End of Stream
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HL7Constants

          public HL7Constants()